Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.utility
Class CopyUtility

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.utility.Utility
              com.endeca.soleng.eac.toolkit.utility.CopyUtility

    public class CopyUtility

extends Utility

CopyUtility extends the Utility object, exposing the fields that make up a copy utility invocation and convenience initializer methods that take all of the arguments required to define a copy utility.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`EAC_MAX_TOKEN_LENGTH, ENDECA_CONF, IS_WINDOWS, WINDOWS_MAX_PATH_LENGTH`

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`CopyUtility()`
`CopyUtility(java.lang.String appName, java.lang.String eacHost, int eacPort, boolean sslEnabled)` Default (inherited) constructor.

Method Summary
`com.endeca.eac.client.RunUtilityType` | `buildEacStub()` Builds a RunUtilityType object to send to the EAC.
`java.lang.String` | `getDest()`
`java.lang.String` | `getDestHostId()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getSrcHostId()`
`void` | `init(java.lang.String token, java.lang.String fromHost, java.lang.String toHost, java.lang.String src, java.lang.String dest, boolean recursive)` Copy initializer.
`protected void` | `initializeEacStub(com.endeca.eac.client.RunFileCopyType stub)`
`boolean` | `isRecursive()`
`protected int` | `maximumAllowedTokenLength()`
`void` | `setDest(java.lang.String dest)`
`void` | `setDestHostId(java.lang.String destHostId)`
`void` | `setRecursive(boolean recursive)`
`void` | `setSrc(java.lang.String src)`
`void` | `setSrcHostId(java.lang.String srcHostId)`

Methods inherited from class com.endeca.soleng.eac.toolkit.utility.Utility
`getDirContents, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNonNullPositiveLongValueOrDefault, getNumMissedStatusChecks, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isFailed, run, runInParallel, setElementId, setMaxMissedStatusQueriesAllowed, setMaxWaitSeconds, setMinWaitSeconds, setNumMissedStatusChecks, setPollingIntervalMs, setSlowPollingIntervalMs, start, stop, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyUtility

    public CopyUtility(java.lang.String appName,
                       java.lang.String eacHost,
                       int eacPort,
                       boolean sslEnabled)
                throws AppConfigurationException

  Default (inherited) constructor.

  Throws:
    `AppConfigurationException` - If the application name or EAC host is null.

### CopyUtility

    public CopyUtility()

Method Detail

### init

    public void init(java.lang.String token,
                     java.lang.String fromHost,
                     java.lang.String toHost,
                     java.lang.String src,
                     java.lang.String dest,
                     boolean recursive)

  Copy initializer.

  Parameters:
    `token` - ID of the copy utility.
    `fromHost` - ID of the source host.
    `toHost` - ID of the destination host.
    `src` - Source path.
    `dest` - Destination path.
    `recursive` - Boolean indicating whether copy is recursive.

### buildEacStub

    public com.endeca.eac.client.RunUtilityType buildEacStub()

  Description copied from class: `Utility`
  Builds a RunUtilityType object to send to the EAC. If necessary, translates or transforms fields to match the EAC's requirements.

  Overrides:
    `buildEacStub` in class `Utility`
  Returns:
    Returns the RunUtilityType WSDL stub object for this Utility.

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.RunFileCopyType stub)

### getDest

    public java.lang.String getDest()

### setDest

    public void setDest(java.lang.String dest)

### getDestHostId

    public java.lang.String getDestHostId()

### setDestHostId

    public void setDestHostId(java.lang.String destHostId)

### isRecursive

    public boolean isRecursive()

### setRecursive

    public void setRecursive(boolean recursive)

### getSrc

    public java.lang.String getSrc()

### setSrc

    public void setSrc(java.lang.String src)

### getSrcHostId

    public java.lang.String getSrcHostId()

### setSrcHostId

    public void setSrcHostId(java.lang.String srcHostId)

### maximumAllowedTokenLength

    protected int maximumAllowedTokenLength()

  Overrides:
    `maximumAllowedTokenLength` in class `Utility`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500